libfiu0_0.93-2+b1_amd64.deb


Advertisement

Description

libfiu0 - userspace fault injection framework

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libfiu0
Package version 0.93
Package release 2+b1
Package architecture amd64
Package type deb
Installed size 115 B
Download size 24.99 KB
Official Mirror ftp.br.debian.org
libfiu is a C library for fault injection. It provides functions to mark
"points of failure" inside your code (the "core API"), and functions to
enable/disable the failure of those points (the "control API").
This package contains the libfiu shared library. To perform fault injection,
you will require the "libfiu-dev" package.

Alternatives

Package Version Architecture Repository
libfiu0_0.93-2_i386.deb 0.93 i386 Debian Main
libfiu0 - - -

Requires

Name Value
libc6 >= 2.3.3

Download

Type URL
Binary Package libfiu0_0.93-2+b1_amd64.deb
Source Package libfiu

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfiu0 deb package:
    # sudo apt-get install libfiu0

Files

Path
/usr/lib/libfiu.so.0
/usr/lib/libfiu.so.0.93
/usr/lib/fiu/fiu_posix_preload.so
/usr/lib/fiu/fiu_run_preload.so
/usr/share/doc/libfiu0/README.Debian
/usr/share/doc/libfiu0/changelog.Debian.amd64.gz
/usr/share/doc/libfiu0/changelog.Debian.gz
/usr/share/doc/libfiu0/copyright

Changelog

2014-07-30 - Chris Lamb <lamby@debian.org>
libfiu (0.93-2) unstable; urgency=low
* Add patch from upstream to fix FTBFS on i386.
2014-07-29 - Chris Lamb <lamby@debian.org>
libfiu (0.93-1) unstable; urgency=medium
* New upstream release.
* Strip Debian revision from symbols.
2013-10-30 - Chris Lamb <lamby@debian.org>
libfiu (0.92-1) unstable; urgency=low
* New upstream release.
* Add "this work is to be considered Public Domain" to debian/copyright.
Thanks to Ansgar Burchardt.
* Bump Standards-Version to 3.9.4.
* Update debian/symbols.
2013-05-23 - Chris Lamb <lamby@debian.org>
libfiu (0.91-2) unstable; urgency=low
* Require the testsuite to pass at request of upstream - was optional since
0.90-3.
* Add/fix support for python3:
- Add python3-fiu binary to debian/control
- Adjust debian/rules to build for all versions
- Change python/python3 build deps to python{3}-all-dev to support build
for all versions
Thanks to Scott Kitterman <debian@kitterman.com>.
* Move to dh_python2. Thanks to Scott Kitterman <debian@kitterman.com>.
2012-09-06 - Chris Lamb <lamby@debian.org>
libfiu (0.91-1) unstable; urgency=low
* New upstream release.
* Update symbols.
* Drop 01_wrap_python_for_tests.diff - applied upstream.
* Drop 02_include_stdlib.diff - applied upstream.
2012-04-11 - Chris Lamb <lamby@debian.org>
libfiu (0.90-3) unstable; urgency=low
* Make passing the testsuite optional; upstream does not 100% rely on it yet
on all architectures.
2012-04-06 - Chris Lamb <lamby@debian.org>
libfiu (0.90-2) unstable; urgency=low
* Apply patch from upstream to attempt to fix broken builds.
<http://blitiri.com.ar/git/?p=libfiu;a=commit;h=005a56fbcb5ab8045f9d51676c521b335f058552>
2012-04-05 - Chris Lamb <lamby@debian.org>
libfiu (0.90-1) unstable; urgency=low
* New upstream release.
* Add python3-dev to Build-Depends.
* Add patch from upstream to fix Python tests.
<http://blitiri.com.ar/git/?p=libfiu;a=commit;h=83fb1e675de26ad5409e554e2947e53c8f1b10c0>
* Update symbols.
2011-11-16 - Chris Lamb <lamby@debian.org>
libfiu (0.14-2) unstable; urgency=low
* Add missing Build-Depends on python-support. (Closes: #642450)
2011-07-15 - Chris Lamb <lamby@debian.org>
libfiu (0.14-1) unstable; urgency=low
* New upstream release.
- Drop "01_libc6_location.diff"; applied upstream.
- Drop "02_mode_t_freebsd.diff"; applied upstream.
* Update Vcs-{Git,Browser}.
* Bump Standards-Version to 3.9.1.
* Bump Standards-Version to 3.9.2.

See Also

Package Description
libfixbuf3-dev_1.6.0+ds-1_amd64.deb Implementation of the IPFIX protocol - development headers
libfixbuf3-doc_1.6.0+ds-1_all.deb Implementation of the IPFIX protocol - documentation
libfixbuf3_1.6.0+ds-1_amd64.deb Implementation of the IPFIX protocol - shared library
libfixposix-dev_20110316.git47f17f7-1_amd64.deb Replacement for inconsistent parts of POSIX (development)
libfixposix0_20110316.git47f17f7-1_amd64.deb Replacement for inconsistent parts of POSIX (runtime)
libfko-doc_2.6.0-2.1_all.deb FireWall KNock OPerator - documentation
libfko-perl_2.6.0-2.1+b1_amd64.deb FireWall KNock OPerator - Perl module
libfko-python_2.6.0-2.1+b1_amd64.deb FireWall KNock OPerator - Python module
libfko2-dev_2.6.0-2.1+b1_amd64.deb FireWall KNock OPerator - developpement library
libfko2_2.6.0-2.1+b1_amd64.deb FireWall KNock OPerator - shared library
libfl-dev_2.5.39-8+deb8u2_amd64.deb static library for flex (a fast lexical analyzer generator)
libflac++-dev_1.3.0-3_amd64.deb Free Lossless Audio Codec - C++ development library
libflac++6_1.3.0-3_amd64.deb Free Lossless Audio Codec - C++ runtime library
libflac-dev_1.3.0-3_amd64.deb Free Lossless Audio Codec - C development library
libflac-doc_1.3.0-3_all.deb Free Lossless Audio Codec - library documentation
Advertisement
Advertisement